// http://sequelizejs.com/articles/express
module.exports = function(sequelize, DataTypes) {
  var Project = sequelize.define('Project', {
    name: {
      type: DataTypes.STRING,
      unique: true
    }
  }, {
    classMethods: {
      associate: function(models) {
        Project.hasMany(models.RootPath);
      }
    }
  });
  return Project;
};
