module.exports = function(sequelize, DataTypes) {
  var RootPath = sequelize.define('RootPath', {
    path: {
      type: DataTypes.STRING,
      unique: 'projectPathIndex'
    }, 
    ProjectId: {
      type: DataTypes.INTEGER,
      unique: 'projectPathIndex'
    }
  }, {
    classMethods: {
      associate: function(models) {
        RootPath.hasMany(models.Project, {as:'ProjectId'});
      }
    }
  });

  return RootPath;
};
