$(function () {
  // ユーザ登録押下の処理
  UiUtil.submitForm('#registerForm', 
    // 入力チェック用のコールバック
    function(form) {
      // パスワードが確認用のパスワードと異なる場合
      var password = form.find('input[name="password"]').val();
      var passwordConfirm = form.find('input[name="passwordConfirm"]').val();
      if (password !== passwordConfirm) {
        $.msgBox({content:UiUtil.getMessage('MissmatchPassword'),
                  type: 'error'});
        return false;
      }
      return true;
    },
    function(err, ret) {
      if (err) {
        $.msgBox({content:err, type: 'error'});
        return;
      }
      if (ret.result) {
        $.msgBox({
          content: UiUtil.getMessage('Success'),
          type: 'info',
          success: function (result, values) {
            $(location).attr('href', '/login');
          }
        });

      } else {
        $.msgBox({content:ret.error, type: 'error'});
      }
    }
  );
});
