/* GET home page. */
var db = require('../models');
var message = require('./message.js');
var validator = require('validator');
var crypto = require('crypto');


/**
 * OC
 * @param {Object} req NGXg
 * @param {Object} res 
 */
exports.login = function(req, res){
  res.render('login',
             { message: message.getViewMessage('login') });
};


/**
 * [U[o^
 * @param {Object} req NGXg
 * @param {Object} res 
 */
exports.register = function(req, res){
  res.render('register',
             { message: message.getViewMessage('register') });
};


/**
 * OC
 * @param {Object} req NGXg
 * @param {Object} res 
 */
exports.doLogin = function(req, res) {
  var username = req.body.user;
  var password = req.body.password;
  var query = {
    where: {
      'username': username,
      'password': crypto.createHash('md5').update(password).digest('hex')
    }
  };

  db.User.find(query).success(function(result) {
    var data = {};
    if (result) {
      data = {result: true};
      req.session.user = username;
      data = {
        result: true
      };
    } else {
      data = {
        result: false,
        error: message.getMessage('error',
                                 'NotfoundUser',
                                 [validator.escape(username)])
      };
    }
    res.contentType('application/json');
    var json = JSON.stringify(data);
    res.send(json);
  }).error(function(error) {
    res.contentType('application/json');
    var data = {
      result: false,
      error: message.getMessage('error',
                               'DatabaseError',
                               [JSON.stringify(error)])
    };
    var json = JSON.stringify(data);
    res.send(json);
  });
};


/**
 * [U̓o^
 * @param {Object} req NGXg
 * @param {Object} res 
 */
exports.doRegister = function(req, res) {
  var user = req.body.user;
  var password = req.body.password;
  var user = db.User.build({
    username: user,
    password: crypto.createHash('md5').update(password).digest('hex')
  });
  user
    .save()
    .complete(function(err) {
      var data = {result:true};
      if (err) {
        data = {
          result: false,
          error: message.convertDbError(err, db.User)
        };
      }
      res.contentType('application/json');
      var json = JSON.stringify(data);
      res.send(json);
    });
};
